import java.time.format.DateTimeFormatter;  
import java.time.LocalDateTime;    

public class Run {
	public static void main(String[] args){
		
		/**
		 * The LocalDateTime.now() method returns the instance
		 * of LocalDateTime class. If we print the instance of
		 * LocalDateTime class, it prints current date and time.
		 * To format the current date, you can use DateTimeFormatter
		 *  class which is included in JDK 1.8.
		 */
		DateTimeFormatter dtf = DateTimeFormatter.ofPattern("           HH:mm:ss"); 
		LocalDateTime now = LocalDateTime.now(); 
		String nowDateTime = dtf.format(now) ;
		int hour = Integer.parseInt(nowDateTime.substring(11,13)) ;// convert to int
		int min = Integer.parseInt(nowDateTime.substring(14,16)) ;//convert to int
		int sec = Integer.parseInt(nowDateTime.substring(17,19)) ;// convert to int
		
	
		ClockDisplay Clock = new ClockDisplay(hour,min,sec) ;
		System.out.println("nowTime : ");
		System.out.println(Clock.getTime());
		
		Clock.timeTick();
		System.out.println("AfterTimeTick : ");
		System.out.println(Clock.getTime());
		
	}
	

}
